#include<bits/stdc++.h>
using namespace std;

int main(int argc, char** argv){
	int x, y, n, m, res = 0, r;
	cin>>x>>y;
	
	for(int i = 0; i < 100000; i++){
		n = x % 10;
		m = y % 10;
	
		if(x == 0){
			res = y * pow(10, i) + res;
			break;
		}
		if(y == 0){
			res = x * pow(10, i) + res;
			break;
		}
		
		if(n > m){
			res = res + n * pow(10, i);
		}
		else if(n < m){
			res = res + m * pow(10, i);
		}
		else if(n == m){
			res = res + n * pow(10, i);
			i++;
			res = res + m * pow(10, i);
		}
			
		x = x / 10;
		y = y / 10;
		
		
	}
	
	cout<<res;
	
	return 0;
}